twitter4j

## Interface StatusListener

All Superinterfaces:
  StreamListener

All Known Subinterfaces:
  UserStreamListener

All Known Implementing Classes:
  StatusAdapter, UserStreamAdapter

    public interface StatusListener
    extends StreamListener

Since:
  Twitter4J 2.0.4
Author:
  Yusuke Yamamoto - yusuke at mac.com

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `onDeletionNotice(StatusDeletionNotice statusDeletionNotice)` Called upon deletionNotice notices.
`void` `onScrubGeo(long userId, long upToStatusId)` Called upon location deletion messages.
`void` `onStallWarning(StallWarning warning)` Called when receiving stall warnings.
`void` `onStatus(Status status)`
`void` `onTrackLimitationNotice(int numberOfLimitedStatuses)` This notice will be sent each time a limited stream becomes unlimited. If this number is high and or rapidly increasing, it is an indication that your predicate is too broad, and you should consider a predicate with higher selectivity.

### Methods inherited from interface twitter4j.StreamListener

`onException`

### Method Detail

#### onStatus

    void onStatus(Status status)

#### onDeletionNotice

    void onDeletionNotice(StatusDeletionNotice statusDeletionNotice)

Called upon deletionNotice notices. Clients are urged to honor deletionNotice requests and discard deleted statuses immediately. At times, status deletionNotice messages may arrive before the status. Even in this case, the late arriving status should be deleted from your backing store.

Parameters:
  `statusDeletionNotice` - the deletionNotice notice
Since:
  Twitter4J 2.1.0
See Also:
  Streaming API Concepts | Twitter Developers

#### onTrackLimitationNotice

    void onTrackLimitationNotice(int numberOfLimitedStatuses)

This notice will be sent each time a limited stream becomes unlimited.
If this number is high and or rapidly increasing, it is an indication that your predicate is too broad, and you should consider a predicate with higher selectivity.

Parameters:
  `numberOfLimitedStatuses` - an enumeration of statuses that matched the track predicate but were administratively limited.
Since:
  Twitter4J 2.1.0
See Also:
  Streaming API Concepts - Filter Limiting | Twitter Developers, Streaming API Concepts - Parsing Responses | Twitter Developers, Twitter Development Talk - Track API Limit message meaning

#### onScrubGeo

    void onScrubGeo(long userId,
                    long upToStatusId)

Called upon location deletion messages. Clients are urged to honor deletion requests and remove appropriate geolocation information from both the display and your backing store immediately. Note that in some cases the location deletion message may arrive before a tweet that lies within the deletion range arrives. You should still strip the location data.

Parameters:
  `userId` - user id
  `upToStatusId` - up to status id
Since:
  Twitter4J 2.1.9

#### onStallWarning

    void onStallWarning(StallWarning warning)

Called when receiving stall warnings.

Parameters:
  `warning` - StallWaning
Since:
  Twitter4J 3.0.0
See Also:
  Streaming API request parameters - stall_warnings